"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const path_1 = require("path");
const appDirectory = fs_1.realpathSync(process.cwd());
const resolveApp = relativePath => path_1.resolve(appDirectory, relativePath);
exports.default = {
    appPath: resolveApp('.'),
    appBuild: resolveApp('dist'),
    appPublic: resolveApp('public'),
    appHtml: resolveApp('public/index.html'),
    appIndex: resolveApp('src/index'),
    appPackageJson: resolveApp('package.json'),
    appSrc: resolveApp('src'),
    appTsConfig: resolveApp('tsconfig.json'),
    appConfigsPath: resolveApp('src/config'),
    yarnLockFile: resolveApp('yarn.lock'),
    appNodeModules: resolveApp('node_modules'),
    rootNodeModules: resolveApp('../../../node_modules'),
    rootPackageJson: resolveApp('../../../package.json'),
};
