export declare const createWebpackConfig: (webpackEnv: any) => Promise<{
    mode: string;
    bail: boolean;
    target: string;
    entry: {
        index: string[];
    };
    output: {
        path: string;
        pathinfo: boolean;
        libraryTarget: string;
        filename: string;
        publicPath: string;
    };
    module: {
        rules: {
            test: RegExp;
            exclude: RegExp;
            loader: string;
            options: {
                transpileOnly: boolean;
                experimentalWatchApi: boolean;
            };
        }[];
    };
    externals: any[];
    resolve: {
        extensions: string[];
    };
    plugins: any[];
    node: {
        __dirname: boolean;
    };
    optimization: {
        minimize: boolean;
    };
}>;
