"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.bootstrap = void 0;
const chalk_1 = __importDefault(require("chalk"));
const webpack_1 = __importDefault(require("webpack"));
const WebpackDevServerUtils_1 = require("react-dev-utils/WebpackDevServerUtils");
const config_1 = require("./config");
process.env.BABEL_ENV = 'development';
process.env.NODE_ENV = 'development';
process.on('unhandledRejection', err => {
    throw err;
});
const bootstrap = () => __awaiter(void 0, void 0, void 0, function* () {
    const config = yield config_1.createWebpackConfig('development');
    const appName = require(config_1.paths.appPackageJson).name;
    const compiler = WebpackDevServerUtils_1.createCompiler({
        webpack: webpack_1.default,
        config,
        appName,
        useYarn: true,
        urls: {},
    });
    return compiler.watch({}, (error) => {
        if (error) {
            return console.log(error);
        }
        console.log(chalk_1.default.cyan('Starting the development server...\n'));
    });
});
exports.bootstrap = bootstrap;
const handleSignals = watching => {
    process.on('SIGINT', () => {
        watching.close();
        process.exit();
    });
    process.on('SIGTERM', () => {
        watching.close();
        process.exit();
    });
};
const handleErrors = err => {
    if (err && err.message) {
        console.log(err.message);
    }
    process.exit(1);
};
exports.bootstrap()
    .then(handleSignals)
    .catch(handleErrors);
